Referencia
Operaciones
Registro de las operaciones realizadas.
GET
/api/v2/operationsAuthorization
ApiKeyAuth X-API-Key<token>
In: header
Query Parameters
templateId?integer
Filter by templateId
customerId?uuid
Filter by customerId
cardId?string
Filter by cardId
startDate?string
Start date (format Y-m-d)
Format
dateDefault
nullendDate?string
End date (format Y-m-d)
Format
dateDefault
nullpage?integer
Page number
Range
1 <= valueDefault
1itemsPerPage?integer
Items per page
Range
1 <= value <= 1000Default
30Response Body
application/json
curl -X GET "https://example.com/api/v2/operations?templateId=123&cardId=430556-818-972"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "meta": { "totalItems": 0, "itemsPerPage": 0, "currentPage": 0 }, "data": [ { "id": 0, "companyId": 0, "templateId": 0, "customerId": "string", "customer": { "id": "string", "phone": "string", "email": "string", "gender": 0, "dateOfBirth": "2019-08-24", "surname": "string", "firstName": "string", "externalUserId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "segments": [ { "id": 0, "type": 0, "name": "string" } ] }, "cardId": "string", "cardDevice": "string", "eventId": 0, "eventName": "string", "managerId": 0, "locationId": 0, "amount": 0.1, "purchaseSum": 0.1, "balance": 0, "source": "string", "comment": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ]}